/*
 * Licensed to Elasticsearch under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. Elasticsearch licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.elasticsearch.action.ingest;

import org.elasticsearch.common.Strings;
import org.elasticsearch.common.xcontent.XContentParser;
import org.elasticsearch.test.AbstractStreamableXContentTestCase;

public class PutPipelineResponseTests extends AbstractStreamableXContentTestCase<PutPipelineResponse> {

    public void testToXContent() {
        PutPipelineResponse response = new PutPipelineResponse(true);
        String output = Strings.toString(response);
        assertEquals("{\"acknowledged\":true}", output);
    }

    @Override
    protected PutPipelineResponse doParseInstance(XContentParser parser) {
        return PutPipelineResponse.fromXContent(parser);
    }

    @Override
    protected PutPipelineResponse createTestInstance() {
        return new PutPipelineResponse(randomBoolean());
    }

    @Override
    protected PutPipelineResponse createBlankInstance() {
        return new PutPipelineResponse();
    }

    @Override
    protected PutPipelineResponse mutateInstance(PutPipelineResponse response) {
        return new PutPipelineResponse(response.isAcknowledged() == false);
    }
}
